tigase.server

## Enum Command.Action

- java.lang.Object
- - java.lang.Enum<Command.Action>
  - - tigase.server.Command.Action

- All Implemented Interfaces:
    Serializable, Comparable<Command.Action>
  Enclosing class:
    Command

      public static enum Command.Action
      extends Enum<Command.Action>

  Ad-hoc command actions ad defined in the XEP-0050.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancel` The command should be canceled.
    `complete` The command should be completed (if possible).
    `execute` The command should be executed or continue to be executed.
    `next` The command should progress to the next stage of execution.
    `other` Other, not recognized command action.
    `prev` The command should be digress to the previous stage of execution.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Command.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### execute

          public static final Command.Action execute

      The command should be executed or continue to be executed. This is the default value.

    - #### cancel

          public static final Command.Action cancel

      The command should be canceled.

    - #### prev

          public static final Command.Action prev

      The command should be digress to the previous stage of execution.

    - #### next

          public static final Command.Action next

      The command should progress to the next stage of execution.

    - #### complete

          public static final Command.Action complete

      The command should be completed (if possible).

    - #### other

          public static final Command.Action other

      Other, not recognized command action.

  - ### Method Detail

    - #### values

          public static Command.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command.Action c : Command.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.